Debian Bug report logs - #408467
exim4-config: exim4 'virtual domains' config fits neatly in without interfering with config: please add!

version graph

Package: exim4-config; Maintainer for exim4-config is Exim4 Maintainers <pkg-exim4-maintainers@lists.alioth.debian.org>; Source for exim4-config is src:exim4.

Reported by: Luke Kenneth Casson Leighton <lkcl@lkcl.net>

Date: Fri, 26 Jan 2007 01:18:02 UTC

Severity: wishlist

Tags: wontfix

Found in version 4.24-3

Done: Marc Haber <mh+debian-packages@zugschlus.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Exim4 Maintainers <pkg-exim4-maintainers@lists.alioth.debian.org>:
Bug#408467; Package exim4-config. Full text and rfc822 format available.

Acknowledgement sent to Luke Kenneth Casson Leighton <lkcl@lkcl.net>:
New Bug report received and forwarded. Copy sent to Exim4 Maintainers <pkg-exim4-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Luke Kenneth Casson Leighton <lkcl@lkcl.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: exim4-config: exim4 'virtual domains' config fits neatly in without interfering with config: please add!
Date: Fri, 26 Jan 2007 00:50:26 +0000
Package: exim4-config
Version: 4.24-3
Severity: wishlist


	http://www.debian-administration.org/articles/140

it works perfectly: it requires one file to be added
router/350_something

and one small change to the default listmacrodefs:

domainlist local_domains = @:localhost:dsearch;/etc/exim4/virtual

that needs modifying...

and then the subdirectory /etc/exim4/virtual created

and then exim4 actually becomes _useful_ as a multi-domain-handling
service!

i've been looking for this for _four years_ for exim, and you _have_
to add it in - /etc/aliases is pathetic and annoying, and this
virtual domains thing is a _significant_ step forward in the usefulness
of exim4.

i seriously considered ripping out a very sophisticated and
simple-to-set-up arrangement, and replacing it with postfix, _just_
because this virtual domains thing took me so long to find.

please add it!

it does no harm if /etc/exim4/virtual is empty.

l.


-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux highfield 2.6.16-1-686 #2 Mon Apr 10 22:16:40 UTC 2006 i686
Locale: LANG=C, LC_CTYPE=C

Versions of packages exim4-config depends on:
ii  debconf                       1.5.11     Debian configuration management sy

-- debconf-show failed




Information forwarded to debian-bugs-dist@lists.debian.org, Exim4 Maintainers <pkg-exim4-maintainers@lists.alioth.debian.org>:
Bug#408467; Package exim4-config. Full text and rfc822 format available.

Acknowledgement sent to Marc Haber <mh+debian-packages@zugschlus.de>:
Extra info received and forwarded to list. Copy sent to Exim4 Maintainers <pkg-exim4-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 408467@bugs.debian.org (full text, mbox):

From: Marc Haber <mh+debian-packages@zugschlus.de>
To: Luke Kenneth Casson Leighton <lkcl@lkcl.net>, 408467@bugs.debian.org
Subject: Re: Bug#408467: exim4-config: exim4 'virtual domains' config fits neatly in without interfering with config: please add!
Date: Fri, 26 Jan 2007 10:52:57 +0100
tags #408467 wontfix
thanks

On Fri, Jan 26, 2007 at 12:50:26AM +0000, Luke Kenneth Casson Leighton wrote:
> i've been looking for this for _four years_ for exim, and you _have_
> to add it in - /etc/aliases is pathetic and annoying, and this
> virtual domains thing is a _significant_ step forward in the usefulness
> of exim4.

It does, however, move away a lot from the classical paradigm that we
have always been using, and the word "virtual" in a mail context is
heavily overused.

> i seriously considered ripping out a very sophisticated and
> simple-to-set-up arrangement, and replacing it with postfix, _just_
> because this virtual domains thing took me so long to find.

If you are that emotional, please go with postfix.

I do not see enough arguments to have this added to the default
configurationn. I would be willing to add the configuration snippet as
an example in /usr/share/doc, as long as the word "virtual" is not
used and it is exactly explained what the configuration snippet does.

I am not going to write these documentation myself though.

Greetings
Marc

-- 
-----------------------------------------------------------------------------
Marc Haber         | "I don't trust Computers. They | Mailadresse im Header
Mannheim, Germany  |  lose things."    Winona Ryder | Fon: *49 621 72739834
Nordisch by Nature |  How to make an American Quilt | Fax: *49 621 72739835



Tags added: wontfix Request was from Marc Haber <mh+debian-packages@zugschlus.de> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Exim4 Maintainers <pkg-exim4-maintainers@lists.alioth.debian.org>:
Bug#408467; Package exim4-config. Full text and rfc822 format available.

Acknowledgement sent to Luke Kenneth Casson Leighton <lkcl@lkcl.net>:
Extra info received and forwarded to list. Copy sent to Exim4 Maintainers <pkg-exim4-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #17 received at 408467@bugs.debian.org (full text, mbox):

From: Luke Kenneth Casson Leighton <lkcl@lkcl.net>
To: Marc Haber <mh+debian-packages@zugschlus.de>
Cc: 408467@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#408467: exim4-config: exim4 'virtual domains' config fits neatly in without interfering with config: please add!
Date: Fri, 26 Jan 2007 11:03:40 +0000
@begin note to debian developers

dear debian developers: would someone _please_ explain to marc that,
as exim4 is the default mailer for debian, that he is in quite a
serious position of responsibility, and that exim4 needs to cater for
_everybody_'s needs, with the minimum amount of disruption to existing
users, and, i believe, that the addition of 'virtual domains' as
described in the article below falls into that category of
'maximum-default-config-beneficial-feature-improvements,
zero-impact-on-existing-users'.

in this instance, the addition of the extremely effective and very
useful 'virtual domains' concept brings the default debian-provided
exim4 feature set more into line with what postfix has provided 
for _years_.

the instructions posted on http://www.debian-administration.org/articles/140
are extremely good: steve kemp's well-written article took me 5 mins to
read, 5 to include in my current config, and 5 to test and be happy that
it worked.

i am therefore appealing to someone else's better nature out there to
get this guy marc either replaced or to see sense, or to be guided by
somebody _other_ than me.

complaints about the word 'virtual' as an excuse are not really
acceptable if the default debian mailer's configuration is to move
forward.

i fully realise when i am disobeying my own guidelines (or, more
importantly, i fully recognise a situation where i'm not going to get
anywhere with a particular individual's intransigence) about endeavouring
to help the most people with the most effective amount of effort (some
of you on this list will recall my talk on the sunday morning at the
last UKUUG conference)

so i am appealing to you, the core debian developers, to step in, and
deal with this guy, instead of me.

thanks.

@end note to debian developers

On Fri, Jan 26, 2007 at 10:52:57AM +0100, Marc Haber wrote:

> tags #408467 wontfix
> thanks
> 
> On Fri, Jan 26, 2007 at 12:50:26AM +0000, Luke Kenneth Casson Leighton wrote:
> > i've been looking for this for _four years_ for exim, and you _have_
> > to add it in - /etc/aliases is pathetic and annoying, and this
> > virtual domains thing is a _significant_ step forward in the usefulness
> > of exim4.
> 
> It does, however, move away a lot from the classical paradigm that we
> have always been using, and the word "virtual" in a mail context is
> heavily overused.

 with the greatest of respect, i really do have to be quite harsh with
 you on this one, and say this: tough - get over it.

 the word 'virtual' is an important concept in computer science, dating
 back 30 years of _course_ it's going to get used a lot, in a _lot_
 more contexts and a lot more many times in those same contexts.

 i can't imagine the linux kernel developers _ever_ asking people to
 stop using the word 'virtual' when someone goes and refers to 'virtual
 memory' as well as 'virtual address'.

 imagine the chaos that would ensue, and the ridicule that would be
 heaped onto the person that even _suggested_ such a thing.


 not least: if you don't _like_ the word 'virtual', then take it up with
 steve kemp, who wrote the article.

 
> > i seriously considered ripping out a very sophisticated and
> > simple-to-set-up arrangement, and replacing it with postfix, _just_
> > because this virtual domains thing took me so long to find.
> 
> If you are that emotional, please go with postfix.
 
 whenever i think of postfix, my heart sinks.

 it takes _days_ to work out what to do: you need to be a serious
 rocket-scientist to get _anything_ done.

 by contrast, with exim4, it is absolutely dead-easy to set up, even
 the most complex arrangements.

 the longest amount of time is spent tracking things down.

 a good example is when i needed to do authenticated LMTP TCP redirection:
 it turned out that you can combine the smtp auth mechanism with the
 LMTP transport, as, intuitively, might be expected, and dang me if
 it actually worked!  i think i added about 6 lines to some transport
 config file!  took me 30 mins to find the two articles (one about lmtp,
 the other about smtp auth) to read up about, 5 to combine-edit the
 configs, and 5 to sit there stunned that it actually worked.



> I do not see enough arguments to have this added to the default
> configurationn. 

 i am very sorry.  i assumed, now incorrectly i see, that it would be
 obvious that the advantages that this addition brings to exim4 as a
 useful mail system would be significant.

 this is my mistake, and i genuinely apologise for not thinking in
 advance to include any extra details for you to evaluate.


> I would be willing to add the configuration snippet as
> an example in /usr/share/doc, as long as the word "virtual" is not
> used and it is exactly explained what the configuration snippet does.
> 
> I am not going to write these documentation myself though.

 ahh - are you the guy whom i spoke to some time ago (a couple of years
 back), about doing some improvements to exim4 config, and you said
 'that's too complex for me to cope with'?


 so - let me get this straight.

 you want me to cut/paste an authoritative article on debian
 administration, published on the internet, searcheable and locateable
 by getting the right keywords, removing the word 'virtual' because _you_
 don't don't like the word??

 sure - i can do that.  s/virtual//g.

 but i believe that you would be better off talking to steve kemp, the
 author of the original article, and asking him to do that.

 l.



-- 
--
lkcl.net - mad free software computer person, visionary and poet.
--



Reply sent to Marc Haber <mh+debian-packages@zugschlus.de>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Luke Kenneth Casson Leighton <lkcl@lkcl.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #22 received at 408467-done@bugs.debian.org (full text, mbox):

From: Marc Haber <mh+debian-packages@zugschlus.de>
To: 408467-done@bugs.debian.org
Subject: Re: Bug#408467: exim4-config: exim4 'virtual domains' config fits neatly in without interfering with config: please add!
Date: Sat, 17 Mar 2007 17:35:24 +0100
On Fri, Jan 26, 2007 at 10:52:57AM +0100, Marc Haber wrote:
> I do not see enough arguments to have this added to the default
> configurationn. I would be willing to add the configuration snippet as
> an example in /usr/share/doc, as long as the word "virtual" is not
> used and it is exactly explained what the configuration snippet does.
> 
> I am not going to write these documentation myself though.

Actually, I spent a lot of time in writing this documentation myself
and coordinating it with Exim upstream. The result of this writing
processes is going to the Exim upstream documentation soon.

However, #415247 has made me lose all motivation in dealing with Mr.
Casson Leighton's bug reports any more. Closing.

Greetings
Marc

-- 
-----------------------------------------------------------------------------
Marc Haber         | "I don't trust Computers. They | Mailadresse im Header
Mannheim, Germany  |  lose things."    Winona Ryder | Fon: *49 621 72739834
Nordisch by Nature |  How to make an American Quilt | Fax: *49 621 72739835



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 14:27:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 09:48:26 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.